javax.media.opengl.awt

## Interface AWTGLAutoDrawable

- All Superinterfaces:
    ComponentEvents, GLAutoDrawable, GLDrawable, NativeSurfaceHolder
  All Known Implementing Classes:
    GLCanvas, GLJPanel

      public interface AWTGLAutoDrawable
      extends GLAutoDrawable, ComponentEvents

- - ### Field Summary

    - ### Fields inherited from interface javax.media.opengl.GLAutoDrawable

      `SCREEN_CHANGE_ACTION_ENABLED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `repaint()` Schedules a repaint of the component at some point in the future.
    `void` | `setSize(int width, int height)` Requests a new width and height for this AWTGLAutoDrawable.

    - ### Methods inherited from interface javax.media.opengl.GLAutoDrawable

      `addGLEventListener, addGLEventListener, areAllGLEventListenerInitialized, createContext, destroy, display, disposeGLEventListener, flushGLRunnables, getAnimator, getAutoSwapBufferMode, getContext, getContextCreationFlags, getDelegatedDrawable, getExclusiveContextThread, getGL, getGLEventListener, getGLEventListenerCount, getGLEventListenerInitState, getUpstreamLock, getUpstreamWidget, invoke, invoke, isThreadGLCapable, removeGLEventListener, setAnimator, setAutoSwapBufferMode, setContext, setContextCreationFlags, setExclusiveContextThread, setGL, setGLEventListenerInitState`

    - ### Methods inherited from interface javax.media.opengl.GLDrawable

      `getChosenGLCapabilities, getFactory, getGLProfile, getHandle, getNativeSurface, getRequestedGLCapabilities, getSurfaceHeight, getSurfaceWidth, isGLOriented, isRealized, setRealized, swapBuffers, toString`

    - ### Methods inherited from interface javax.media.opengl.awt.ComponentEvents

      `addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener`

- - ### Method Detail

    - #### setSize

          void setSize(int width,
                     int height)

      Requests a new width and height for this AWTGLAutoDrawable.

    - #### repaint

          void repaint()

      Schedules a repaint of the component at some point in the future.

Copyright 2010 JogAmp Community.